Bug 6710 - Aliases problems under Gnome and KDE
Aliases problems under Gnome and KDE
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-11-04 03:33 EST by ted
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-17 13:36:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ted 1999-11-04 03:33:56 EST
Hi !

It seems that under X (Gnome or KDE) the aliases defined for
instance under /etc/profile.d/xxx are not taken into
account. If I am not using X, then they are taken into
account. The strangest thing is that everything defined in
/etc/profile.d is considered except the aliases.

Moreover, some terminal "konsole" or the Gnome terminal do
not update the wmtp logins database when kvt or xterm do it.

Thanks in advance for any help

		Daniel
Comment 1 Preston Brown 2000-01-17 13:36:59 EST
some terminals run "login shells" by default, and others don't.  This affects
whether or not your .bash_profile (and /etc/profile.d/*) are sourced in addition
to your .bashrc.  This is configurable on a case-by-case basis.  For instance,
with gnome-terminal, you must pass the flag --utmp.  For xterm, you can do it
with +u and turn it off with -u.

Note You need to log in before you can comment on or make changes to this bug.